# eric4.DebugClients.Python.Cyclops.RunCyclops

Module implementing a function to run the Cyclops cycle finder on a module.

### Classes

None

### Functions

func_refs | Function returning a sequence of all objects directly reachable from x.
func_tag | Function returning a string describing how the reference was obtained from x.
generateReport | Function to generate the report.
instance_filter | Function to filter the cycles.
mod_refs | Function returning a sequence of all objects directly reachable from x.
mod_tag | Function returning a string describing how the reference was obtained from x.
run | Function to run the program in the cyclops cycle finder.

## func_refs

func_refs(x)

Function returning a sequence of all objects directly reachable from x.

x
  object to check

Returns:
  sequence of all objects directly reachable from x

Up

## func_tag

func_tag(x, i)

Function returning a string describing how the reference was obtained from x.

x
  object to check
i
  index into list of references

Returns:
  a string describing how the reference was obtained from x

Up

## generateReport

generateReport(z, reports)

Function to generate the report.

Up

## instance_filter

instance_filter(cycle)

Function to filter the cycles.

Returns:
  flag indicating that at least one instance object was found

Up

## mod_refs

mod_refs(x)

Function returning a sequence of all objects directly reachable from x.

x
  object to check

Returns:
  sequence of all objects directly reachable from x

Up

## mod_tag

mod_tag(x, i)

Function returning a string describing how the reference was obtained from x.

x
  object to check
i
  index into list of references

Returns:
  a string describing how the reference was obtained from x

Up

## run

run(filename, modfunc, reports, dbgClient)

Function to run the program in the cyclops cycle finder.

filename
  filename of the module to be run (string)
modfunc
  module function which is the main entry point (string)
reports
  bit mask specifying the reports wanted (integer)

Up